<?php
//*******************************************************
//  КОНТРОЛЬ УРОВНЕЙ  ОТЕЦ КНОПКА 1 контроль и сохранение
//*******************************************************
if (strpos($tabl,"-")==0)              // только таблицы данных
{if ($kpre==1)                         // если форма таблицы отца то кнопка
{                                      // для скрытия кнопки закоменнтируй ее 
echo "1. <img src=../../../../d~e~f/do.bmp style='background:white;border:green thin double' 
 onclick=knz('индекс,дата,час,уровень,изменение,20_час,тренд_код,получено')  
 title='Контроль и сохранение данных. СТРОКИ всегда все'>";
// вставим обработчик
list($abs1, $s2) = explode("pages",getcwd( ));
include $abs1."script/knz.html";       // вставим обработчик из общих
//*******************************************************
//  КОНТРОЛЬ УРОВНЕЙ  ОТЕЦ КНОПКА 2 сохранение в базе
//*******************************************************
?>
2.<img src=../../../../d~e~f/do.bmp title="Переместить в базу, которые без ошибок" style='background:white;border:green thin double' onclick=onser(0)>
3.<img src=../../../../d~e~f/do.bmp title="Копировать в базу, которые без ошибок" style='background:white;border:green thin double' onclick=onser(1)>
<script type="text/javascript">
function onser(p)
{
inn=false
for(var j = 0; j < table.length; j++)           // по всей таблице найдем строки с изменениями
 {if (table[j][0]=="?")                         // вставка
 {inn=true; break }
 if (table[j][table[j].length-1].indexOf('yes.gif')>0) // удаление или изменение
 {inn=true; break}
}
if (inn)
{alert("В базу невозможено !\r\nВ таблицу были внесены изменения !\r\nСохрани изменения (кнопка контроль и сохранение)\r\nили откажись от них (кнопка обновить).")
return
}
document.getElementById("kontr").value="yes"           // разрешим запуск ~server-before

if (p==0)
{
alert("Строки без ошибок будут перемещены в базу !")
document.getElementById("button11").click() 
}
else
{
alert("Строки без ошибок будут скопированы в базу !")
document.getElementById("button12").click() 

}


}
</script>
<?php
}
}
?>
